VFB2JSON(1)

NAME
vfb2json - convert a FontLab Studio 5 VFB file to JSON

SYNOPSIS
vfb2json [options] inputpath

DESCRIPTION
vfb2json generates a JSON representation that closely adheres to the structure of a FontLab Studio 5 VFB file.

Unless the -p option is given, the output is written to inputpath.vfb.json in the same directory as the input file. Existing output files are overwritten.

This tool is expected to be mostly used for debugging purposes.

OPTIONS

-h, --help
    Show a help message and exit.

-d, --no-decompile
    Don't decompile data, output binary in JSON.

--header
    Only read the VFB header, not the actual data.

-m, --minimal
    Parse only a minimal amount of data.

-p, --path PATH
    Output folder for the resulting JSON file.

-r, --roundtrip
    Roundtrip data by decompiling and compiling again before saving.

-u, --unicode-strings
    Force strings to be interpreted as Unicode instead of Windows-1252.

ARGUMENTS

inputpath
    Input file path (.vfb).

SEE ALSO
vfb3ufo(1), vfb2tth(1), vfbcu2qu(1), vfbdiff(1)